## List Payouts

### cURL

```bash
curl --request GET \
  --url https://api.withflex.com/v1/payouts \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://api.withflex.com/v1/payouts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/payouts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Status Codes

- **200**  
- **401**  
- **403**  
- **404**  
- **409**  
- **422**  
- **429**

### Response Example

```json
{
  "payouts": [
    {
      "payout_id": "fpo_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "status": "in_transit",
      "amount": 2500,
      "arrival_date": "string",
      "created_at": "2026-06-15T14:30:00Z",
      "test_mode": false
    }
  ]
}
```

### Error Response

```json
{
  "code": "string",
  "detail": "string"
}
```

### Authorization

- **Authorization**  
  - **Type:** string  
  - **In:** header  
  - **Required:** Yes

Use a Bearer token to access this API.

### Query Parameters

- **payout_id**  
  - **Type:** string 
  - **Description:** Filter by a specific payout ID.  
  - **Example:** "fpo_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

- **start_date**  
  - **Type:** string 
  - **Description:** Filter payouts created after this date (ISO 8601 format).  
  - **Example:** "2026-06-15T14:30:00Z"

- **end_date**  
  - **Type:** string 
  - **Description:** Filter payouts created before this date (ISO 8601 format).  
  - **Example:** "2026-06-15T14:30:00Z"

- **limit**  
  - **Type:** integer<int32> 
  - **Range:** 1 to 100, defaults to 10.  
  - **Example:** 10

### Response Schema

- **payouts**  
  - **Type:** object[]  
  - **Required:** Yes  
  - **Description:** The list of payouts.
